package com.nsgk.agentcentersdk;

import com.nsgk.agentcentersdk.api.NSApiResult;
import com.nsgk.agentcentersdk.api.NSSDK;
import com.nsgk.agentcentersdk.api.NSSDKClient;
import com.nsgk.agentcentersdk.core.NSProtocol;
import com.nsgk.agentcentersdk.entity.NSContractionEntity;

public final class NSMain
{
    public static void main(String[] args)
    {
        NSSDKClient client;
        NSContractionEntity entity;
        NSApiResult result;

        NSSDK.InitClient("http://localhost", (short) 8081, "test", "MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAKoR8mX0rGKLqzcWmOzbfj64K8ZIgOdHnzkXSOVOZbFu/TJhZ7rFAN+eaGkl3C4buccQd/EjEsj9ir7ijT7h96MCAwEAAQ==");
        client = NSSDK.InstanceClient();

        entity = new NSContractionEntity();
        entity.setBuildingTime("2000-12-23")
                .setName("测试合同")
                .setDeptId(187L)
                .setBookId(166L)
        ;
        result = client.Send(NSProtocol.NS_PROTOCOL_CONTRACTION, entity);
        System.err.println(result);
    }
}
