package com.ruoyi.web.controller.agentcenter;

import com.nsgk.agentcentersdk.api.NSApiResult;
import com.nsgk.agentcentersdk.api.NSSDK;
import com.nsgk.agentcentersdk.api.NSSDKServer;
import com.nsgk.agentcentersdk.core.NSReportObject;
import com.nsgk.agentcentersdk.entity.NSContractionEntity;
import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.core.controller.BaseController;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 上报接口Controller
 * 
 * @author zhao
 */
@RestController
@RequestMapping("/agentcenter/api")
public class AgentCenterController extends BaseController
{
    @PostMapping("/test")
    public NSApiResult test(HttpServletRequest request)
    {
        NSSDKServer server;
        NSReportObject<NSContractionEntity> recv;

        NSSDK.InitServer(RuoYiConfig.Secret.privateKey);
        server = NSSDK.InstanceServer();
        recv = server.Recv(request, NSContractionEntity.class);

        return server.Resp(200, "测试成功", recv.getDataStr());
    }

    @PostMapping("/report")
    public NSApiResult report(HttpServletRequest request)
    {
        NSSDKServer server;
        NSReportObject<NSContractionEntity> recv;

        NSSDK.InitServer(RuoYiConfig.Secret.privateKey);
        server = NSSDK.InstanceServer();
        recv = server.Recv(request, NSContractionEntity.class);

        return server.Resp(200, "上报成功", recv.getDataStr());
    }
}
